echo off
rem
rem queryProperty demo script
rem
rem    arg 1 is SOURCE
rem    arg 2 is NAME
rem    arg 3 is VALUE, a '-' to send the current value to stdout
rem    arg 4,5 are optional qualifying attributes

call queryProperty SMBIOS Manufacturer Intel type="2" info="Base Board Information"
if %errorlevel% NEQ 1 (
    echo not an Intel system - aborting ...
    call addLogRecord queryPropertyDemo.cmd CRITICAL "not an Intel system - aborting ..."
) else (
    echo Intel system discovered ...
    call addLogRecord queryPropertyDemo.sh INFO "Intel system detected."
)
